
package de.ivu.elect.business.stimmeingabe.control;

import java.util.Comparator;

import de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe;
import de.ivu.elect.util.NullComparator;

public class StimmeingabeByAnzahlComparator implements Comparator<Stimmeingabe> {

  private static final Comparator<Object> NULL_COMPARATOR = NullComparator.NULL_BEFORE_NON_NULL_COMPARATOR;

  public StimmeingabeByAnzahlComparator() {
    super();
  }

  @Override
  public int compare(Stimmeingabe o1, Stimmeingabe o2) {
    if (o1 == null || o2 == null) {
      return NULL_COMPARATOR.compare(o1, o2);
    }

    return Long.compare(o1.getAnzahl(), o2.getAnzahl());
  }
}
